Package it.ernytech.tdlib

## Class TdApi.MessagePaymentSuccessful

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.MessageContent
    - - it.ernytech.tdlib.TdApi.MessagePaymentSuccessful

Enclosing class:
  TdApi

    public static class TdApi.MessagePaymentSuccessful
    extends TdApi.MessageContent

A payment has been completed.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `currency` Currency for the price of the product.
`long` `invoiceMessageId` Identifier of the message with the corresponding invoice; can be an identifier of a deleted message.
`long` `totalAmount` Total price for the product, in the minimal quantity of the currency.

### Constructor Summary

Constructors
`MessagePaymentSuccessful()` Default constructor.
`MessagePaymentSuccessful​(long invoiceMessageId, java.lang.String currency, long totalAmount)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### invoiceMessageId

    public long invoiceMessageId

Identifier of the message with the corresponding invoice; can be an identifier of a deleted message.

#### currency

    public java.lang.String currency

Currency for the price of the product.

#### totalAmount

    public long totalAmount

Total price for the product, in the minimal quantity of the currency.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### MessagePaymentSuccessful

    public MessagePaymentSuccessful()

Default constructor.

#### MessagePaymentSuccessful

    public MessagePaymentSuccessful​(long invoiceMessageId,
                                    java.lang.String currency,
                                    long totalAmount)

Constructor for initialization of all fields.

Parameters:
  `invoiceMessageId` - Identifier of the message with the corresponding invoice; can be an identifier of a deleted message.
  `currency` - Currency for the price of the product.
  `totalAmount` - Total price for the product, in the minimal quantity of the currency.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR